%{
  #include <string.h>
  #include <stdio.h>
  char str[1000];
%}

d               "%"((-)?[0-9]+)?d
f               \%((-)?[0-9]+)?(.[0-9]+)?f
s               \%((-)?[0-9]+)?(.[0-9]+)?s
format          ([^%]|{d}|{f}|{s})*

%%

{format}        { strcpy(str, yytext); return 97; }
.               { strcpy(str, yytext); return -1; }

%%

int main() {
  while (1) {
    int t = yylex();
    printf("t = %d, str = '%s'\n", t, str);
  }
  return 0;
}

int yywrap() {
  printf("Calling yywrap...\n");
  return 1;
}
